Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.util
Class Pair<K,V>

    java.lang.Object
      org.apache.commons.math3.util.Pair<K,V>

Type Parameters:
  `K` - Key type.
  `V` - Value type.

Direct Known Subclasses:
  PointValuePair, PointValuePair, PointVectorValuePair, PointVectorValuePair

    public class Pair<K,V>

extends Object

Generic pair.
Although the instances of this class are immutable, it is impossible to ensure that the references passed to the constructor will not be modified by the caller.

Since:
  3.0
Version:
  $Id: Pair.java 1422313 2012-12-15 18:53:41Z psteitz $

Constructor Summary
`Pair(K k, V v)` Create an entry representing a mapping from the specified key to the specified value.
`Pair(Pair<? extends K,? extends V> entry)` Create an entry representing the same mapping as the specified entry.

Method Summary
`boolean` | `equals(Object o)` Compare the specified object with this entry for equality.
`K` | `getFirst()` Get the first element of the pair.
`K` | `getKey()` Get the key.
`V` | `getSecond()` Get the second element of the pair.
`V` | `getValue()` Get the value.
`int` | `hashCode()` Compute a hash code.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pair

    public Pair(K k,
                V v)

  Create an entry representing a mapping from the specified key to the specified value.

  Parameters:
    `k` - Key (first element of the pair).
    `v` - Value (second element of the pair).

### Pair

    public Pair(Pair<? extends K,? extends V> entry)

  Create an entry representing the same mapping as the specified entry.

  Parameters:
    `entry` - Entry to copy.

Method Detail

### getKey

    public K getKey()

  Get the key.

  Returns:
    the key (first element of the pair).

### getValue

    public V getValue()

  Get the value.

  Returns:
    the value (second element of the pair).

### getFirst

    public K getFirst()

  Get the first element of the pair.

  Returns:
    the first element of the pair.
  Since:
    3.1

### getSecond

    public V getSecond()

  Get the second element of the pair.

  Returns:
    the second element of the pair.
  Since:
    3.1

### equals

    public boolean equals(Object o)

  Compare the specified object with this entry for equality.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - Object.
  Returns:
    `true` if the given object is also a map entry and the two entries represent the same mapping.

### hashCode

    public int hashCode()

  Compute a hash code.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hash code value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.